#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "ui_setupHardware.h"
#include <qextserialport.h>
#include <QtGui/QMainWindow>
#include <QSettings>

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void showHWSetupDialog();
    void recallSettings();
    void acceptedHWSetupDialog();
    void btnConnect();
    void btnDisconnect();
    void servoWheelsSwitched();
    void panTiltEnabledSwitched();

private:
    Ui::MainWindow *ui;
    QDialog *hwSetupDialog;
    QSettings *settings;
    Ui::HWSetupDialog *uiHWSetup;
    QextSerialPort *port;
    QString conn_status;
    QString doCmd(QString cmd);
    QString h(int len,int value);
    void setChassisSpeed(int left,int right);
    int servoFR;
    int motorFR;
    void getFR();

private slots:
    void on_tiltSlider_valueChanged(int value);
    void on_panSlider_valueChanged(int value);
    void on_rightButton_clicked();
    void on_leftButton_clicked();
    void on_bwdButton_clicked();
    void on_stopButton_clicked();
    void on_fwdButton_clicked();
    void on_pushButton_4_clicked();
};

#endif // MAINWINDOW_H
